<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<?php
	$options = get_option('blocks_options');
	if (is_home()) { $sMenuHome = 'current_page_item'; } else { $sMenuHome = 'page_item'; }
?>

<html xmlns="http://www.w3.org/1999/xhtml">
<head profile="http://gmpg.org/xfn/11">
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

	<title><?php bloginfo('name'); ?><?php wp_title(); ?></title>
	<link rel="alternate" type="application/rss+xml" title="<?php _e('RSS 2.0 - all posts', 'blocks'); ?>" href="<?php if($options['feed'] && $options['feed_url']) {echo($options['feed_url']);} else {bloginfo('rss2_url');} ?>" />
	<link rel="alternate" type="application/rss+xml" title="<?php _e('RSS 2.0 - all comments', 'blocks'); ?>" href="<?php bloginfo('comments_rss2_url'); ?>" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

	<!-- style START -->
	<link rel="stylesheet" type="text/css" href="<?php bloginfo('stylesheet_url'); ?>" media="screen" />
	<?php if ($options['sidebar'] == 2) : ?>
		<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/css/style_3col.css" type="text/css" media="screen" />
	<?php endif; ?>
	<?php if ($options['sidebar_position'] == 'left') : ?>
		<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/css/sidebar_left.css" type="text/css" media="screen" />
	<?php endif; ?>
<?php
	if ($options['sidebar'] == 2 && $width = (int)$options['left_sidebar_width'] ) {
		$styles = '<style type="text/css">';
		$styles .= '#sidebar_left {width: ' . $width . 'px;}';
		$styles .= '#sidebar_right {width: ' . (308 - $width) . 'px;}';
		$styles .= '</style>';
		echo($styles);
	}
?>
	<!-- style END -->

	<!-- script START -->
	<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/util.js"></script>
	<!-- script END -->

	<?php wp_head(); ?>
</head>

<body>

<!-- container START -->
<div id="container">

	<!-- top START -->
	<div id="top">
		<div class="floatleft">
			<span class="info">
				<?php _e('Powered by <a href="http://wordpress.org">Wordpress</a>', 'blocks'); ?>
				<?php _e('| Theme by <a href="http://www.fighton.cn">mg12</a>', 'blocks'); ?>
				<?php _e('| Valid <a href="http://validator.w3.org/check?uri=referer">XHTML 1.1</a> and <a href="http://jigsaw.w3.org/css-validator/">CSS 3</a>', 'blocks'); ?>
			</span>
		</div>
		<div class="floatright">
			<ul>
				<?php wp_register(); ?>
				<li class="s"><?php wp_loginout(); ?></li>
			</ul>
		</div>
		<div class="clear"></div>
	</div>
	<!-- top END -->

	<!-- header START -->
	<div id="header">
		<div class="content">
			<h1><a href="<?php bloginfo('url'); ?>/"><?php bloginfo('name'); ?></a></h1>
			<div class="clear"></div>
		</div>
		<div class="meta">
			<ul id="menubar">
				<li class="<?php echo($sMenuHome); ?>"><a href="<?php echo get_settings('home'); ?>/"><?php _e('Home', 'blocks'); ?></a></li>
				<?php wp_list_pages('depth=1&title_li=0&sort_column=menu_order'); ?>
			</ul>
			<span class="feed">
				<a title="<?php _e('Subscribe to this blog...', 'blocks'); ?>" class="feedlink" href="<?php if($options['feed'] && $options['feed_url']) {echo($options['feed_url']);} else {bloginfo('rss2_url');} ?>"><?php _e('<abbr title="Really Simple Syndication">RSS</abbr> feed', 'blocks'); ?></a>
			</span>
<?php if ( $user_ID ) : ?>
			<span id="newpost">
				<a title="Write a NEW post" class="greedlink" href="<?php echo get_settings('home'); ?>/wp-admin/post-new.php"><?php _e('NEW post', 'blocks'); ?></a>
			</span>
<?php endif; ?>
			<span id="copyright">
				<?php
					global $wpdb;
					$post_datetimes = $wpdb->get_results("SELECT YEAR(post_date_gmt) AS year FROM wp_posts WHERE post_date_gmt > 1949 ORDER BY post_date_gmt ASC");
					$firstpost_year = $post_datetimes[0]->year;
					$lastpost_year = $post_datetimes[count($post_datetimes)-1]->year;

					$copyright = __('Copyright &copy; ', 'blocks') . $firstpost_year;
					if($firstpost_year != $lastpost_year) {
						$copyright .= '-'. $lastpost_year;
					}

					echo $copyright;
				?>
				<?php bloginfo('name'); ?>
			</span>
			<div class="clear"></div>
		</div>
	</div>
	<!-- header END -->

	<!-- content START -->
	<div id="content">

		<!-- main START -->
		<div id="main">